%define major 6
%define libname %mklibname %name %major
%define develname %mklibname -d %name

Name:           quvi
Version:        0.2.19
Release:        %mkrel 1
Summary:        Command line tool for parsing video download links
Group:          Networking/Other
License:        LGPLv2+
URL:            http://quvi.sourceforge.net/
Source0:        http://downloads.sourceforge.net/%{name}/%{name}-%{version}.tar.xz
BuildRequires:  curl-devel
BuildRequires:  pcre-devel
BuildRequires:  lua-devel
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
quvi is a command line tool for parsing video download links.
It supports Youtube and other similar video websites.
libquvi is a library for parsing video download links with C API.
It is written in C and intended to be a cross-platform library.

%package -n %libname
Summary: Shared library files libquvi
Group: Networking/Other
Requires: %{name} = %{version}-%{release}

%description -n %libname
Shared library files libquvi.

%package -n %develname
Summary: Files needed for building applications with libquvi
Group: Development/Libraries
Requires: %{libname} = %{version}-%{release}
Provides: %{name}-devel = %{version}-%{release}

%description -n %develname
Files needed for building applications with libquvi.

%prep
%setup -q

%build
%configure2_5x --disable-static
%make

%install
%makeinstall_std
rm -f %buildroot%{_libdir}/lib%{name}.la

%files
%doc ChangeLog COPYING README
%{_bindir}/%{name}
%{_mandir}/man1/%{name}.1.*
%{_datadir}/%{name}

%files -n %libname
%{_libdir}/lib%{name}.so.%{major}
%{_libdir}/lib%{name}.so.%{major}.*

%files -n %develname
%{_libdir}/lib%{name}.so
%{_libdir}/pkgconfig/lib%{name}.pc
%{_includedir}/%{name}


%changelog
* Sun Jul 31 2016 adrianomorselli <adrianomorselli> 0.2.19-1uplos2011
- rebuild

* Sun Sep 25 2011 Textar <texstar at gmail.com> 0.2.19-1pclos2011
- 0.2.19
